> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Generic ID

> Adds the specified generic service identifier to the player's PlayFab account. This is designed to allow for a PlayFab ID lookup of any arbitrary service identifier a title wants to add. This identifier should never be used as authentication credentials, as the intent is that it is easily accessible by other players.

## Error codes

This operation may return the following PlayFab errors:

| Error | Code |
| --- | --- |
| IdentifierAlreadyClaimed | 1238 |
| UserisNotValid | 1030 |




## OpenAPI

````yaml /services/playfab/api-references/rest/server/server.openapi.json post /Server/AddGenericID
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Server API
  description: >-
    Provides functionality to allow external (developer-controlled) servers to
    interact with user inventories and data in a trusted manner, and to handle
    matchmaking and client connection orchestration
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Account Management
    description: Account Management APIs
  - name: Analytics
    description: Analytics APIs
  - name: Authentication
    description: Authentication APIs
  - name: Character Data
    description: Character Data APIs
  - name: Characters
    description: Characters APIs
  - name: Content
    description: Content Service APIs
  - name: Friend List Management
    description: Friend List Management APIs
  - name: Matchmaking
    description: Matchmaking APIs
  - name: Platform Specific Methods
    description: Platform Specific Methods APIs
  - name: Player Data Management
    description: Player Data Management APIs
  - name: Player Item Management
    description: Player Item Management APIs
  - name: PlayStream
    description: PlayStream Management APIs
  - name: Server-Side Cloud Script
    description: Server-Side Cloud Script APIs
  - name: Shared Group Data
    description: Shared Group Data APIs
  - name: Title-Wide Data Management
    description: Title-Wide Data Management APIs
paths:
  /Server/AddGenericID:
    post:
      tags:
        - Account Management
      summary: Add Generic ID
      description: >
        Adds the specified generic service identifier to the player's PlayFab
        account. This is designed to allow for a PlayFab ID lookup of any
        arbitrary service identifier a title wants to add. This identifier
        should never be used as authentication credentials, as the intent is
        that it is easily accessible by other players.


        ## Error codes


        This operation may return the following PlayFab errors:


        | Error | Code |

        | --- | --- |

        | IdentifierAlreadyClaimed | 1238 |

        | UserisNotValid | 1030 |
      operationId: AddGenericID
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AddGenericIDRequest'
      responses:
        '200':
          $ref: '#/components/responses/EmptyResult'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - SecretKey: []
components:
  schemas:
    AddGenericIDRequest:
      type: object
      properties:
        GenericId:
          allOf:
            - $ref: '#/components/schemas/GenericServiceId'
          description: Generic service identifier to add to the player account.
        PlayFabId:
          description: PlayFabId of the user to link.
          type: string
      required:
        - PlayFabId
        - GenericId
      example:
        GenericId:
          ServiceName: BigBizSocial
          UserId: '1234567890'
    GenericServiceId:
      type: object
      properties:
        ServiceName:
          description: Name of the service for which the player has a unique identifier.
          type: string
        UserId:
          description: Unique identifier of the player in that service.
          type: string
      required:
        - ServiceName
        - UserId
      example:
        ServiceName: BigBizSocial
        UserId: '1234567890'
    EmptyResult:
      type: object
      properties: {}
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
  responses:
    EmptyResult:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/EmptyResult'
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    SecretKey:
      type: apiKey
      in: header
      name: X-SecretKey
      description: >-
        This API requires a title secret key, available to title admins, from
        PlayFab Game Manager.

````

## Related topics

- [Add Generic ID](/services/playfab/api-references/rest/client/account-management/add-generic-id.md)
- [Remove Generic ID](/services/playfab/api-references/rest/server/account-management/remove-generic-id.md)
- [XUserAddByIdWithUiAsync](/reference/system/xuser/functions/xuseraddbyidwithuiasync.md)
- [XUserAddByIdWithUiResult](/reference/system/xuser/functions/xuseraddbyidwithuiresult.md)
- [XblMultiplayerAddConnectionIdChangedHandler](/reference/live/xsapi-c/multiplayer_c/functions/xblmultiplayeraddconnectionidchangedhandler.md)
